#include "testlib.h"
#include <iostream>
#include <string>
#include <sstream>
using namespace std;

int t;
int n;

inline int requests(InStream& stream) {
	stream.readLine();
	for (int i = 0; i < t; ++i) {
		while (true) {
			string s = stream.readLine();
			if (s[0] == '!') {
				break;
			}
			stream.readLine();
		}
	}
	return stream.readInt();
}

int main(int argc, char* argv[]) {
    registerTestlibCmd(argc, argv);
    
    t = inf.readInt();
	n = inf.readInt();
    
    int qp = requests(ouf);
    
    quitf(_ok, "OK, participant makes %d queries", qp);
}